Subject: [dtn] Update of DTN IPND

From: Brian Sipos <[email-masked]>
Date: Mon, 9 Dec 2019 01:38:06 +0000

All,
As was requested at the last IETF to scope new work for the WG, I'd like to make some time to update the IPND protocol [1] to a Proposed Standard level.

The issues I see with the last draft of IPND are:

  *   The beacon uses a custom type-length-value (TLV) encoding. In my opinion this should be superseded by a CBOR encoding. This would just make diagnosing the protocol simpler without any change in encoded beacon sizes.
  *   There is looseness in the CLAs identified by IPND beacons. This means a proper registry of CLAs types, their parameters, and normative references to RFCs.
  *   There is looseness in the bloom filter specification/parameterization. The protocol should provide concrete definitions for at least one neighborhood filter. The current draft is both too vague to implement as-is but also assumes a specific structure and type of bloom filter. It seems like a better practice to treat this more like ciphersuites are treated in other protocols where each combination of parameters gets a Type ID and the encoding is type-specific. So the initial spec can include one concrete definition of a parameterized bloom filter but the spec leaves open to even other types of filters (cuckoo or more advanced).
  *   There is no provision for security of IPND beacons. I think a limited profile of COSE [2] would allow some turnkey mechanisms for signing or encrypting IPND beacons. This would be optional in the same way as TLS is optional in TCPCLv4 and BPsec in BPv7.

[1] https://tools.ietf.org/html/draft-irtf-dtnrg-ipnd-03
[2] https://tools.ietf.org/html/rfc8152